#!/bin/sh
#
#
. ./proc-helper
#
release_ver="1.1.0~"

echo "*****************************************"
echo "*** Script zur Anpassung der Firmware ***"
echo "*****************************************"
echo

check=`cat /lib/gluon/release | grep $release_ver`
if [ "$check" == "" ]
then
###########################################
echo
echo "Dieses Patch ist fuer diese Version der Firmware NICHT geeignet!"
echo
echo "Bitte eine passende Version herunterladen (falls ueberhaupt ein Patch erforderlich ist) und"
echo "diese dann ausfuehren ..."
echo
###########################################
else
###########################################
echo "-> passe Config-Vorgaben an ffhal an..."
###########################################
ffhal_params_and_files

##3xuci set gluon-setup-mode.@setup_mode[0].configured='1'
echo

##########################################
# bermittlung der Infos an die Seite
# passiert in Halle mit respondd,
# allerdings funktioniert das mit der
# Version vom Image nicht
##########################################
echo "-> kopiere Dateien von respondd..."
###########################################
respondd_files
echo

###########################################
# for debug...                            #
###########################################
# echo "21S"; uci set fastd.mesh_vpn.secret='10c0ac0a49bed094c6b1f1eda54fc73efc3c5ff36834028c4dc2ee8ce5414b47'
###########################################

uci commit
echo

###########################################
echo "-> passe ntp Einstellungen an..."
###########################################
echo -n "."; uci del system.ntp.server

echo -n "."; uci add_list system.ntp.server='time1.service.ffhal'
echo -n "."; uci add_list system.ntp.server='time2.service.ffhal'
echo -n "."; uci add_list system.ntp.server='fd0f:8db3:d50a:0:208:a1ff:fe25:cf0a'
echo -n "."; uci add_list system.ntp.server='131.188.3.220'
echo -n "."; uci add_list system.ntp.server='131.188.3.221'
echo "ok";   uci add_list system.ntp.server='131.188.3.222'

uci commit
echo

##unifi ###########################################
##unifi echo "-> passe LED-Steuerung an..."
##unifi ###########################################
##unifi echo -n "."; uci set system.led_rssilow=led
##unifi echo -n "."; uci set system.led_rssilow.sysfs='tp-link:green:link1'
##unifi echo -n "."; uci set system.led_rssilow.trigger='rssi'
##unifi echo -n "."; uci set system.led_rssilow.iface='rssid_wlan0'
##unifi echo -n "."; uci set system.led_rssilow.minq='1'
##unifi echo -n "."; uci set system.led_rssilow.maxq='100'
##unifi echo -n "."; uci set system.led_rssilow.offset='0'
##unifi echo -n "."; uci set system.led_rssilow.factor='13'
##unifi echo -n "."; uci set system.led_rssimediumlow=led
##unifi echo -n "."; uci set system.led_rssimediumlow.sysfs='tp-link:green:link2'
##unifi echo -n "."; uci set system.led_rssimediumlow.trigger='rssi'
##unifi echo -n "."; uci set system.led_rssimediumlow.iface='rssid_wlan0'
##unifi echo -n "."; uci set system.led_rssimediumlow.minq='22'
##unifi echo -n "."; uci set system.led_rssimediumlow.maxq='100'
##unifi echo -n "."; uci set system.led_rssimediumlow.offset='-21'
##unifi echo -n "."; uci set system.led_rssimediumlow.factor='13'
##unifi echo -n "."; uci set system.led_rssimediumhigh=led
##unifi echo -n "."; uci set system.led_rssimediumhigh.sysfs='tp-link:green:link3'
##unifi echo -n "."; uci set system.led_rssimediumhigh.trigger='rssi'
##unifi echo -n "."; uci set system.led_rssimediumhigh.iface='rssid_wlan0'
##unifi echo -n "."; uci set system.led_rssimediumhigh.minq='43'
##unifi echo -n "."; uci set system.led_rssimediumhigh.maxq='100'
##unifi echo -n "."; uci set system.led_rssimediumhigh.offset='-42'
##unifi echo -n "."; uci set system.led_rssimediumhigh.factor='13'
##unifi echo -n "."; uci set system.led_rssihigh=led
##unifi echo -n "."; uci set system.led_rssihigh.sysfs='tp-link:green:link4'
##unifi echo -n "."; uci set system.led_rssihigh.trigger='rssi'
##unifi echo -n "."; uci set system.led_rssihigh.iface='rssid_wlan0'
##unifi echo -n "."; uci set system.led_rssihigh.maxq='100'
##unifi echo -n "."; uci set system.led_rssihigh.factor='13'
##unifi echo -n "."; uci set system.led_rssihigh.minq='64'
##unifi echo -n "."; uci set system.led_rssihigh.offset='-63'
##unifi echo -n "."; uci set system.led_lan=led
##unifi echo -n "."; uci set system.led_lan.name='LAN'
##unifi echo -n "."; uci set system.led_lan.sysfs='tp-link:green:lan0'
##unifi echo -n "."; uci set system.led_lan.trigger='netdev'
##unifi echo -n "."; uci set system.led_lan.mode='link tx rx'
##unifi echo "ok";   uci set system.led_lan.dev='eth0'

##unifi echo -n "RSSI LEDs: "; /etc/init.d/rssileds reload
##unifi echo "....ok"
##unifi echo -n "LAN LED  : "; /etc/init.d/led reload
#echo "....ok"

##unifi uci commit
##unifi echo

###########################################
echo "-> DAC524's Workaround wegen mesh0/1..."
###########################################
dac524_files

echo
###########################################
echo "-> passe WLAN Einstellungen an..."
###########################################
# uci del wireless.radio0.legacy_rates

echo -n "."; uci del wireless.radio0.supported_rates 2> /dev/null

echo -n "."; uci add_list wireless.radio0.supported_rates='6000'
echo -n "."; uci add_list wireless.radio0.supported_rates='9000'
echo -n "."; uci add_list wireless.radio0.supported_rates='12000'
echo -n "."; uci add_list wireless.radio0.supported_rates='18000'
echo -n "."; uci add_list wireless.radio0.supported_rates='24000'
echo -n "."; uci add_list wireless.radio0.supported_rates='36000'
echo -n "."; uci add_list wireless.radio0.supported_rates='48000'
echo -n "."; uci add_list wireless.radio0.supported_rates='54000'

echo -n "."; uci del wireless.radio0.basic_rate 2> /dev/null

echo -n "."; uci add_list wireless.radio0.basic_rate='6000'
echo -n "."; uci add_list wireless.radio0.basic_rate='9000'
echo -n "."; uci add_list wireless.radio0.basic_rate='18000'
echo -n "."; uci add_list wireless.radio0.basic_rate='36000'
echo -n "."; uci add_list wireless.radio0.basic_rate='54000'

echo -n "."; uci del wireless.radio1.supported_rates 2> /dev/null

echo -n "."; uci add_list wireless.radio1.supported_rates='6000'
echo -n "."; uci add_list wireless.radio1.supported_rates='9000'
echo -n "."; uci add_list wireless.radio1.supported_rates='12000'
echo -n "."; uci add_list wireless.radio1.supported_rates='18000'
echo -n "."; uci add_list wireless.radio1.supported_rates='24000'
echo -n "."; uci add_list wireless.radio1.supported_rates='36000'
echo -n "."; uci add_list wireless.radio1.supported_rates='48000'
echo -n "."; uci add_list wireless.radio1.supported_rates='54000'

echo -n "."; uci del wireless.radio1.basic_rate 2> /dev/null

echo -n "."; uci add_list wireless.radio1.basic_rate='6000'
echo -n "."; uci add_list wireless.radio1.basic_rate='9000'
echo -n "."; uci add_list wireless.radio1.basic_rate='18000'
echo -n "."; uci add_list wireless.radio1.basic_rate='36000'
echo "ok";   uci add_list wireless.radio1.basic_rate='54000'

uci commit

v_respond=$(pidof respondd)
if [ $v_respond ]
then
 echo -n "WLAN restart...."
 wifi
 echo "ok"
fi

###########################################
if [ $v_respond ]
then
echo
echo "Falls der Router nicht wie erwartet normal funktionieren sollte,"
echo "bitte die laufenden Dienste ueberpruefen und ggf. neu starten. Im Zweifelsfall hilft reboot ..."
echo
else
echo
echo "Um alle Aenderungen zu uebernehmen, den Router bitte jetzt neu starten!"
echo "Dies laesst sich hier mit dem Kommando reboot erreichen."
echo
fi
###########################################
fi
